> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/key-components/modules/oidc/token-endpoint.md).

# Token endpoint

Overview of Token endpoint and its related capabilities in Fortified ID Access.

```
Example: http://127.0.0.1:8080/oidc/tenant1/token-endpoint
```

#### Token endpoint errors

| Error id          | Description                                                                                               |
| ----------------- | --------------------------------------------------------------------------------------------------------- |
| `invalid_request` | The request is NOT valid. This is usually due to missing mandatory parameters or wrong parameter values.  |
| `invalid_client`  | Provided client information does not match the configured client information. (clientid & client\_secret) |
| `invalid_grant`   | The provided 'code' is NOT valid. Either it has timed out or has already been used.                       |

## Explore this section

<table data-view="cards"><thead><tr><th></th><th data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Authorization code</strong><br>Configuration and usage guidance for Authorization code in Fortified ID Access.</td><td><a href="/access/key-components/modules/oidc/token-endpoint/authorization-code.md">Authorization code</a></td></tr><tr><td><strong>Refresh token</strong><br>Configuration and usage guidance for Refresh token in Fortified ID Access.</td><td><a href="/access/key-components/modules/oidc/token-endpoint/refresh-token.md">Refresh token</a></td></tr><tr><td><strong>Client credentials</strong><br>Used for machine-2-machine.</td><td><a href="/access/key-components/modules/oidc/token-endpoint/client-credentials.md">Client credentials</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/key-components/modules/oidc/token-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
